From 4aa64187fa35dcb9a23d66ef875cf1bab4937c55 Mon Sep 17 00:00:00 2001
From: Francois-Xavier Coudert <fxcoudert@gmail.com>
Date: Sun, 20 Aug 2023 12:17:50 +0200
Subject: [PATCH] Testsuite, LTO: silence warning to make test pass on Darwin

gcc/testsuite/ChangeLog:

	* gcc.dg/lto/20091013-1_2.c: Add -Wno-stringop-overread.
---
 gcc/testsuite/gcc.dg/lto/20091013-1_2.c | 2 ++
 1 file changed, 2 insertions(+)

diff --git a/gcc/testsuite/gcc.dg/lto/20091013-1_2.c b/gcc/testsuite/gcc.dg/lto/20091013-1_2.c
index 1af49aa97b6..89caea868e6 100644
--- a/gcc/testsuite/gcc.dg/lto/20091013-1_2.c
+++ b/gcc/testsuite/gcc.dg/lto/20091013-1_2.c
@@ -1,3 +1,5 @@
+/* { dg-options "-Wno-stringop-overread" } */
+
 typedef struct HDC__ { int unused; } *HDC;
 typedef struct HFONT__ { int unused; } *HFONT;
 
-- 
2.39.2 (Apple Git-143)

